#
# spec file for package python3-django-transmeta
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-transmeta
Version:        0.7.3
Release:        4.6
License:        LGPL-3.0
Summary:        Transmeta is an Application for Translatable Content in Django's Models
Url:            https://tracpub.yaco.es/djangoapps/wiki/StdFile
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-transmeta/django-transmeta-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildArch:      noarch

%description
Transmeta is an application for translatable content in Django's models. Each
language is stored and managed automatically in a different column at database
level.

Features:

* Automatic schema creation with translatable fields.
* Translatable fields integrated into Django's admin interface.
* Command to synchronize database schema to add new translatable fields and new languages.

%prep
%setup -q -n django-transmeta-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst CHANGES.rst LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires:  python3-django
* Sat Sep 28 2013 p.drouand@gmail.com
- Initial python support
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 0.7.3
  + Update the metainfo
- Replace python-distribute with python-setuptools BuildRequires
* Tue Nov 13 2012 jfunk@funktronics.ca
- Update to 0.6.9:
  * Support in method get_field_language for field names with underscores
- 0.6.8 (2012-06-22)
  * Fix a little bug in the command sync_transmeta_db (UnboundLocalError:
    local variable 'f' referenced before assignment)
* Tue Mar 20 2012 jfunk@funktronics.ca
- Update to 0.6.7:
  * Change the representation (verbose_name) of the transmeta labels
* Mon Feb  6 2012 jfunk@funktronics.ca
- Update to 0.6.6
  * Improvements and usability in the command sync_transmeta_db
  * Fix some bugs
  * Documentation
* Fri Jan 13 2012 jfunk@funktronics.ca
- Update to 0.6.5:
  * Improvements and usability in the command sync_transmeta_db
  * Works with the last django (the command sync_transmeta_db)
  * Works with mysql (the command sync_transmeta_db)
* Thu Jan 12 2012 jfunk@funktronics.ca
- Update to 0.6.4:
  * Fixes error with inheritance in models.
- 0.6.3:
  * Allow to use a TRANSMETA_LANGUAGES settings.
  * Added two options to sync_transmeta_db: -y (assume yes on all) and -d
    (default language code)
* Wed Jul 27 2011 jfunk@funktronics.ca
- Initial release
